
QGIS Application - Bug report #22119

crashed when saving a few changes

2019-05-22 06:32 AM - Alonso Acuna

Status: Open

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.6.2 Regression?: No

Operating System: windows 8.1 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29932

Description

User Feedback

crashed when saving a few changes

Report Details

Crash ID: e3e9dc422a6d2f320711ed5f0a10ac180d98d1ed

Stack Trace

memcmp :

VSICreateCachedFile :

SASetupDefaultHooks :

SHPReadObject :

SHPPartTypeName :

SHPPartTypeName :

wildcards :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererJob::renderingTime :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History
#1 - 2019-05-22 06:36 AM - Alonso Acuna

this was when saving changes to all layers , not saving project

#2 - 2019-05-23 11:22 AM - Giovanni Manghi

- Priority changed from Normal to High

Please try with a new/clean QGIS profile, no 3rd party plugins installed.
